#include "charm++.h"
#include <stdlib.h>

#include "main.top.h"
#include "server.top.h"
#include "migrator.top.h"
#include "main.h"

main::main(int argc, char **argv)
{
  Msg *msg = new (MsgIndex(Msg)) Msg;
  int grpid = new_group(server, Msg, msg);
  msg = new (MsgIndex(Msg)) Msg;
  msg->dummy = grpid;
  new_group(migrator, Msg, msg);
}

#include "main.bot.h"
